| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::FocusPointsExtractor Class Reference
Inheritance diagram for Digikam::FocusPointsExtractor:

## Public Types
using | ListAFPoints = QList< FocusPoint >
| A list used to store focus points of a image extracted from meta data.

## Public Member Functions
| FocusPointsExtractor (QObject *const parent, const QString &path)
ListAFPoints | get_af_points ()
ListAFPoints | get_af_points (FocusPoint::TypePoint type)
bool | isAFPointsReadOnly () const
QString | make () const
QString | model () const
MetaEngine::ImageOrientation | orientation () const
QSize | originalSize () const

## Member Typedef Documentation

## ◆ ListAFPoints

using Digikam::FocusPointsExtractor::ListAFPoints = QList<FocusPoint>

With extract() function, an exiftool parser is used to read data from metadata and lists all focus points. Each focus point is defined by their relative centers coordinate and relative size. Each point has own type (Inactive, Infocus, Selected, SelectedInFocus)